import request from "@/utils/request";

/**
 * 获取邮箱信息
 * @returns {Promise}
 */
export function getEmailInfo() {
  return request({
    url: "/platform/email/info",
    method: "get",
  });
}

/**
 * 编辑邮箱信息
 * @returns {Promise}
 */
export function editEmailInfo(data) {
  return request({
    url: "/platform/email/editinfo",
    method: "post",
    data,
  });
}

/**
 * 发送测试邮件
 * @returns {Promise}
 */
export function sendTestEmail(data) {
  return request({
    url: "/platform/email/sendtestemail",
    method: "post",
    data,
  });
}